SDL_mirframebuffer.h File Reference
`#include "../SDL_sysvideo.h"`
`#include "SDL_mirvideo.h"`
Include dependency graph for SDL_mirframebuffer.h:

Go to the source code of this file.

## Functions

int | MIR_CreateWindowFramebuffer (_THIS, SDL_Window *sdl_window, Uint32 *format, void **pixels, int *pitch)
int | MIR_UpdateWindowFramebuffer (_THIS, SDL_Window *sdl_window, const SDL_Rect *rects, int numrects)
void | MIR_DestroyWindowFramebuffer (_THIS, SDL_Window *sdl_window)

## Function Documentation

## MIR_CreateWindowFramebuffer()

int MIR_CreateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | sdl_window,
|  | Uint32 * | format,
|  | void ** | pixels,
|  | int * | pitch
| ) |  |

## MIR_DestroyWindowFramebuffer()

void MIR_DestroyWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | sdl_window
| ) |  |

## MIR_UpdateWindowFramebuffer()

int MIR_UpdateWindowFramebuffer | ( | _THIS | ,
|  | SDL_Window * | sdl_window,
|  | const SDL_Rect * | rects,
|  | int | numrects
| ) |  |